# $Revision: 1.13 $, $Date: 2011/12/19 10:27:46 $
Summary:	Online lexical reference system, ie. smart dictionary
Summary(pl.UTF-8):	System referencji słownikowych, czyli mądry słownik
Name:		WordNet
Version:	3.0
Release:	2
License:	Free to use (see COPYING)
Group:		Applications/Dictionaries
Source0:	ftp://ftp.cogsci.princeton.edu/pub/wordnet/3.0/%{name}-%{version}.tar.bz2
# Source0-md5:	89b4db7c6840ce69a8e315a3f83d996b
Patch0:		%{name}-FHS.patch
Patch1:		%{name}-shared.patch
Patch2:		%{name}-dictdir.patch
URL:		http://wordnet.princeton.edu/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	tcl-devel >= 8.4
BuildRequires:	tk-devel >= 8.4
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WordNet is an online lexical reference system. Word forms in WordNet
are represented in their familiar orthography; word meanings are
represented by synonym sets (synset) - lists of synonymous word forms
that are interchangeable in some context. Two kinds of relations are
recognized: lexical and semantic. Lexical relations hold between word
forms; semantic relations hold between word meanings.

%description -l pl.UTF-8
WordNet to system referencji słownikowych. Formy słów w WordNet są
reprezentowane w ich pisowni; znaczenia słów są reprezentowane przez
zestawy synonimów (synset) - listy form synonimów, które są zamienne w
pewnym kontekście. Są rozpoznawane dwa rodzaje relacji: leksykalna i
semantyczna. Leksykalne zachodzą między formami słów; semantyczne
między ich znaczeniami.

%package devel
Summary:	Header files, library, and development documentation for WordNet
Summary(pl.UTF-8):	Pliki nagłówkowe, biblioteka i dokumentacja do WordNet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for WordNet.

%description devel -l pl.UTF-8
Pliki nagłówkowe, biblioteka i dokumentacja do WordNet.

%package static
Summary:	Static WordNet library
Summary(pl.UTF-8):	Statyczna biblioteka WordNet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static WordNet library.

%description static -l pl.UTF-8
Statyczna biblioteka WordNet.

%package browser
Summary:	WordNet browser
Summary(pl.UTF-8):	Przeglądarka WordNet
Group:		Applications/Dictionaries
Requires:	%{name} = %{version}-%{release}

%description browser
A graphical interface to the WordNet online lexical database.

%description browser -l pl.UTF-8
Graficzny interfejs do sieciowej bazy danych słownika WordNet.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/{html,ps,pdf}
# just a copy of tk headers
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/tk

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/wn
%attr(755,root,root) %{_libdir}/libWN.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libWN.so.0
%{_mandir}/man1/wn.1*
%{_mandir}/man1/wnintro.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dict

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libWN.so
%{_libdir}/libWN.la
%{_includedir}/wn.h
# program not included
#%{_mandir}/man1/grind.1*
%{_mandir}/man3/binsrch.3*
%{_mandir}/man3/morph.3*
%{_mandir}/man3/wn*.3*
%{_mandir}/man5/cntlist.5*
%{_mandir}/man5/lexnames.5*
%{_mandir}/man5/senseidx.5*
%{_mandir}/man5/wn*.5*
%{_mandir}/man7/morphy.7*
%{_mandir}/man7/uniqbeg.7*
%{_mandir}/man7/wn*.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/libWN.a

%files browser
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wishwn
%attr(755,root,root) %{_bindir}/wnb
%{_datadir}/%{name}/wnres
%{_mandir}/man1/wnb.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: WordNet.spec,v $
Revision 1.13  2011/12/19 10:27:46  baggins
- rel 2

Revision 1.12  2008/11/01 12:54:44  qboosh
- more verbose files, packaging fixes

Revision 1.11  2008/07/30 23:09:44  glen
- drop something obvous from desc

Revision 1.10  2008/04/17 11:03:56  czarny
- dictdir patch that makes the browser actually work
- all *.so files added

Revision 1.9  2007-09-04 15:17:40  baggins
- up to 3.0

Revision 1.8  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.6  2006/01/31 14:21:00  qboosh
- pl for -static,-browser

Revision 1.5  2005/12/18 19:07:04  glen
- updated to 2.1
- ugly wnb got separate package -browser due tcl/tk deps

Revision 1.4  2005/12/09 17:48:36  baggins
- release 2
- BR tcl/tk >= 8.4

Revision 1.3  2004/10/31 13:31:27  paladine
- spaces->tabs

Revision 1.2  2003/11/11 01:33:20  ankry
- caps unification, other cosmetics

Revision 1.1  2003/10/30 12:17:11  zagrodzki
- continuation from wordnet.spec
- now builds and works

Revision 1.13  2003/09/19 07:56:04  gotar
- let rpm gzip manuals

Revision 1.12  2003/09/18 14:08:42  adamg
- s/Source:/Source0:/ ; Source0-md5sum added

Revision 1.11  2003/08/18 08:09:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/25 06:28:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/10/13 12:39:23  hunter
- Corrected Source url.
  STBR AfterPLDRelease !

Revision 1.8  2002/10/13 12:17:25  hunter
- up to 1.7.1
- correted %doc, (rm gzip -9v)

Revision 1.7  2002/04/05 15:33:02  roman
- s/Free to use, see file LICENSE from this package/Free to use (see LICENSE) in License

Revision 1.6  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:25  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/20 11:58:22  qboosh
- remaining pl translations, updated Groups, cosmetics

Revision 1.3  2001/08/23 17:32:50  filon
- removed -s from install -s, stripping is done by rpm

Revision 1.2  2000/07/24 08:19:42  mis
- cosmetics

Revision 1.1  2000/06/23 12:20:01  mis
- initial version (from scratch)
